Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1276963 - Fedora 22 Atomic Host | After upgrade, atomic command stopped to work
Summary: Fedora 22 Atomic Host | After upgrade, atomic command stopped to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-01 21:28 UTC by Alessandro Silva
Modified: 2017-04-01 17:11 UTC (History)
6 users (show)

Fixed In Version: atomic-1.16.4-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:11:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Alessandro Silva 2015-11-01 21:28:34 UTC
Description of problem:

After do system upgrade with "atomic host upgrade", the atomic command stopped to work.


Version-Release number of selected component (if applicable):
# cat /etc/redhat-release 
Fedora release 22 (Twenty Two)
# uname -a
Linux localhost.localdomain 4.2.3-200.fc22.x86_64 #1 SMP Thu Oct 8 03:23:55 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

# atomic host upgrade
# systemctl reboot
# atomic --help

atomic --help
Traceback (most recent call last):
  File "/usr/bin/atomic", line 31, in <module>
    import Atomic
  File "/usr/lib/python2.7/site-packages/Atomic/__init__.py", line 6, in <module>
    from .atomic import Atomic
  File "/usr/lib/python2.7/site-packages/Atomic/atomic.py", line 17, in <module>
    import dbus
ImportError: No module named dbus

Comment 1 Colin Walters 2015-11-02 02:15:17 UTC
Likely introduced by https://bodhi.fedoraproject.org/updates/FEDORA-2015-15847

Comment 2 Colin Walters 2015-11-02 14:54:07 UTC
One can work around this with directly invoking `rpm-ostree upgrade`.

Comment 3 Alessandro Silva 2015-11-03 20:56:52 UTC
This workaround does not works:

-bash-4.3# rpm-ostree upgrade
Updating from: fedora-atomic:fedora-atomic/f22/x86_64/docker-host

30 metadata, 94 content objects fetched; 91569 KiB transferred in 120 seconds
Copying /etc changes: 17 modified, 0 removed, 42 added
Transaction complete; bootconfig swap: yes deployment count change: 0
Freed objects: 105.7 MB
Changed:
  dnsmasq-2.75-2.fc22.x86_64
  fedora-repos-22-2.noarch
  gssproxy-0.4.1-2.fc22.x86_64
  hwdata-0.283-1.fc22.noarch
  os-prober-1.68-1.fc22.x86_64
  plymouth-0.8.9-10.2013.08.14.fc22.x86_64
  plymouth-core-libs-0.8.9-10.2013.08.14.fc22.x86_64
  plymouth-scripts-0.8.9-10.2013.08.14.fc22.x86_64
Upgrade prepared for next boot; run "systemctl reboot" to start a reboot
-bash-4.3# 

After reboot, the error persist!

Comment 4 James 2015-11-10 14:23:20 UTC
I am also seeing this when trying to use Rawhide Atomic AWS AMI's in order to get Docker 1.9.  The following AMI's have this issue:

ami-bde639ce
ami-719ba506
ami-719ba506
ami-617e4016

Btw: There are also broken symlinks for /tmp and /ostree (the whole of /sysroot is empty).

Comment 5 Colin Walters 2015-12-02 00:07:16 UTC
Please test and add karma to https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6c503d73a

Comment 6 Jan Kurik 2016-02-24 15:31:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 7 Fedora Update System 2017-03-09 20:58:05 UTC
atomic-1.16.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 8 Fedora Update System 2017-03-09 20:59:07 UTC
atomic-1.16.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf5944a771

Comment 9 Fedora Update System 2017-03-11 00:21:19 UTC
atomic-1.16.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf5944a771

Comment 10 Fedora Update System 2017-03-11 14:25:51 UTC
atomic-1.16.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 11 Fedora Update System 2017-03-16 16:02:50 UTC
atomic-1.16.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 12 Fedora Update System 2017-03-17 02:20:19 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 13 Fedora Update System 2017-04-01 17:11:14 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.